Subject: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2016 14:21:44 +0300

> From: Marcin Borkowski <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 29 Apr 2016 14:18:34 +0200
> 
> >> +    (looking-at "[^[:alpha:]][[:alpha:]]")))
> >
> > You should be aware that starting with Emacs 25.1 [:alpha:] matches a
> > very large class of characters, some of them having nothing in common
> > with those used in Polish.  So perhaps it is better to use '\cl'
> > instead, which will only capture Latin characters?  Just a thought --
> > your call.
> 
> I guess you are right, Eli - in fact, all one-letter words in Polish are
> matched by [aiouwz].  I decided to go with \cl, as you suggested,
> though - this way, the function could be (probably) useful also for
> Slovaks, for instance.  I attach the corrected patch.

LGTM, thanks.

> Just to be sure: in my Emacs, \cl matches also ą, ę, ż, ź, á, ö etc.  Is
> it intentional?

Yes.  \cl matches any character that belongs to any of the Latin
blocks.

> Is it documented somewhere?

Not sure what needs to be documented, please elaborate.